<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: ext_ehrhart.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ext_ehrhart.c File Reference</h1><code>#include &lt;stdlib.h&gt;</code><br/>
<code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>

<p><a href="ext__ehrhart_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__Polyhedron__union.html">_Polyhedron_union</a></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a59799636dce6e7dfa2ce20c48147fa6b">WS</a>&nbsp;&nbsp;&nbsp;200</td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct__Polyhedron__union.html">_Polyhedron_union</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a240c0bb53a177469f52830133ccd2610">Polyhedron_union</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a71f585bdcb55169c5207f612960e74b3">ppcm1</a> (int a, int b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a301fdd12d3f7b14a8560c147426ab915">CalcBase</a> (<a class="el" href="structmatrix.html">Matrix</a> *R)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a5da79efdb8a7f801aaf7b6dfa3ce0d00">Soustraire_ligne</a> (<a class="el" href="structmatrix.html">Matrix</a> *R, int l1, int l2, int piv)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a4a60247388987989e5c063bfe2725977">existepivot</a> (<a class="el" href="structmatrix.html">Matrix</a> *R, int l)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#abda61bc491d1fb64ad027f1ece418e46">swap_line</a> (<a class="el" href="structmatrix.html">Matrix</a> *R, int l1, int l2)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a1b15dffeaad8bde724a59adea33429a5">pgcd1</a> (int a, int b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a1758d39c40dcdf8916517a34133f54e8">new_eadd</a> (<a class="el" href="struct__evalue.html">evalue</a> *e1, <a class="el" href="struct__evalue.html">evalue</a> *res)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#ada49ee072a02798c5557853034894158">Reduce_Matrix</a> (<a class="el" href="structmatrix.html">Matrix</a> *Mat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a3c8687093fe77f61c70d3d52f2867a71">Scalar_product</a> (Value *p1, Value *p2, unsigned length, Value *r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a1d0568ced2e25ee2ce5495518d3254bf">Orthogonal_Base</a> (<a class="el" href="structmatrix.html">Matrix</a> *Mat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#ae58a1dd711203df52a134ccb9ce7484d">Remove_Element</a> (<a class="el" href="struct__enumeration.html">Enumeration</a> *en, <a class="el" href="struct__enumeration.html">Enumeration</a> **re, <a class="el" href="struct__enumeration.html">Enumeration</a> *prev)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#ac56ec2d73ba6448ba16d5b51e2cc38a9">Remove_RedundantDomains</a> (<a class="el" href="struct__enumeration.html">Enumeration</a> **Ures)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a6d5c4fe13303527d0cf008cb4f0fa2d3">IncludeInRes</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, <a class="el" href="struct__enumeration.html">Enumeration</a> *e, unsigned MR)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#acebf00b847b32fd4c9454919fb5d7757">DMUnion</a> (<a class="el" href="struct__enumeration.html">Enumeration</a> *en, unsigned MR)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a1dff2dadbb37fc12dcba692d8f60db31">AffConstraints</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Poldisj)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a5c578d9b28d554b35d712575311f3b30">Degenerate</a> (<a class="el" href="struct__enumeration.html">Enumeration</a> *en)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a1a7c95208634df638d39a6656d4abb76">Domain_Enumerate</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *D, <a class="el" href="structpolyhedron.html">Polyhedron</a> *C, unsigned MAXRAYS, const char **pn)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8c.html#a0d5dad50628eee411cda4622dabcb6d7">Polyhedron_Image_Enumerate</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *D, <a class="el" href="structpolyhedron.html">Polyhedron</a> *C, <a class="el" href="structmatrix.html">Matrix</a> *T, unsigned MAXRAYS, const char **par_name)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a59799636dce6e7dfa2ce20c48147fa6b"></a><!-- doxytag: member="ext_ehrhart.c::WS" ref="a59799636dce6e7dfa2ce20c48147fa6b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WS&nbsp;&nbsp;&nbsp;200</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00020">20</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>Referenced by <a class="el" href="c2p_8c_source.html#l00023">main()</a>.</p>

</div>
</div>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="a240c0bb53a177469f52830133ccd2610"></a><!-- doxytag: member="ext_ehrhart.c::Polyhedron_union" ref="a240c0bb53a177469f52830133ccd2610" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct__Polyhedron__union.html">_Polyhedron_union</a>  <a class="el" href="struct__Polyhedron__union.html">Polyhedron_union</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a1dff2dadbb37fc12dcba692d8f60db31"></a><!-- doxytag: member="ext_ehrhart.c::AffConstraints" ref="a1dff2dadbb37fc12dcba692d8f60db31" args="(Polyhedron *Poldisj)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AffConstraints </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Poldisj</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00680">680</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, and <a class="el" href="polyhedron_8c_source.html#l04623">Polyhedron_PrintConstraints()</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a301fdd12d3f7b14a8560c147426ab915"></a><!-- doxytag: member="ext_ehrhart.c::CalcBase" ref="a301fdd12d3f7b14a8560c147426ab915" args="(Matrix *R)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Matrix</a> * CalcBase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>R</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00045">45</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="ext__ehrhart_8c_source.html#l00218">existepivot()</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00279">Soustraire_ligne()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00241">swap_line()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00516">value_addmul</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00550">value_neg_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00528">value_oppose</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a5c578d9b28d554b35d712575311f3b30"></a><!-- doxytag: member="ext_ehrhart.c::Degenerate" ref="a5c578d9b28d554b35d712575311f3b30" args="(Enumeration *en)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Degenerate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td>
          <td class="paramname"> <em>en</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00690">690</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00190">_evalue::d</a>, <a class="el" href="types_8h_source.html#l00207">_enumeration::EP</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00557">value_mone_p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="acebf00b847b32fd4c9454919fb5d7757"></a><!-- doxytag: member="ext_ehrhart.c::DMUnion" ref="acebf00b847b32fd4c9454919fb5d7757" args="(Enumeration *en, unsigned MR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structpolyhedron.html">Polyhedron</a>* DMUnion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td>
          <td class="paramname"> <em>en</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>MR</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00668">668</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l03493">DomainUnion()</a>, <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>, and <a class="el" href="types_8h_source.html#l00206">_enumeration::ValidityDomain</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a1a7c95208634df638d39a6656d4abb76"></a><!-- doxytag: member="ext_ehrhart.c::Domain_Enumerate" ref="a1a7c95208634df638d39a6656d4abb76" args="(Polyhedron *D, Polyhedron *C, unsigned MAXRAYS, const char **pn)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__enumeration.html">Enumeration</a>* Domain_Enumerate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>D</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>MAXRAYS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>pn</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00702">702</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="ext__ehrhart_8c_source.html#l00680">AffConstraints()</a>, <a class="el" href="types_8h_source.html#l00190">_evalue::d</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00690">Degenerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04404">Disjoint_Domain()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00668">DMUnion()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="ehrhart_8c_source.html#l00167">ecopy()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="types_8h_source.html#l00207">_enumeration::EP</a>, <a class="el" href="ehrhart_8c_source.html#l00139">free_evalue_refs()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00658">IncludeInRes()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00027">_Polyhedron_union::next</a>, <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00026">_Polyhedron_union::pt</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00634">Remove_RedundantDomains()</a>, <a class="el" href="types_8h_source.html#l00206">_enumeration::ValidityDomain</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ehrhart__union_8c_source.html#l00144">main()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, and <a class="el" href="ranking_8c_source.html#l00192">Polyhedron_LexSmallerEnumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a4a60247388987989e5c063bfe2725977"></a><!-- doxytag: member="ext_ehrhart.c::existepivot" ref="a4a60247388987989e5c063bfe2725977" args="(Matrix *R, int l)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int existepivot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>l</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00218">218</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00045">CalcBase()</a>.</p>

</div>
</div>
<a class="anchor" id="a6d5c4fe13303527d0cf008cb4f0fa2d3"></a><!-- doxytag: member="ext_ehrhart.c::IncludeInRes" ref="a6d5c4fe13303527d0cf008cb4f0fa2d3" args="(Polyhedron *p, Enumeration *e, unsigned MR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int IncludeInRes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td>
          <td class="paramname"> <em>e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>MR</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00658">658</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, and <a class="el" href="types_8h_source.html#l00206">_enumeration::ValidityDomain</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a1758d39c40dcdf8916517a34133f54e8"></a><!-- doxytag: member="ext_ehrhart.c::new_eadd" ref="a1758d39c40dcdf8916517a34133f54e8" args="(evalue *e1, evalue *res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void new_eadd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__evalue.html">evalue</a> *&nbsp;</td>
          <td class="paramname"> <em>e1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__evalue.html">evalue</a> *&nbsp;</td>
          <td class="paramname"> <em>res</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00320">320</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00201">_enode::arr</a>, <a class="el" href="types_8h_source.html#l00190">_evalue::d</a>, <a class="el" href="ehrhart_8c_source.html#l00167">ecopy()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>, <a class="el" href="ehrhart_8c_source.html#l00114">new_enode()</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="types_8h_source.html#l00181">periodic</a>, <a class="el" href="types_8h_source.html#l00181">polynomial</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00548">ppcm1()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00514">value_addto</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>.</p>

</div>
</div>
<a class="anchor" id="a1d0568ced2e25ee2ce5495518d3254bf"></a><!-- doxytag: member="ext_ehrhart.c::Orthogonal_Base" ref="a1d0568ced2e25ee2ce5495518d3254bf" args="(Matrix *Mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Matrix</a>* Orthogonal_Base </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Mat</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00555">555</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00533">Scalar_product()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00533">value_lcm</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00520">value_subtract</a>, <a class="el" href="vector_8c_source.html#l00154">Vector_Alloc()</a>, <a class="el" href="vector_8c_source.html#l00362">Vector_AntiScale()</a>, and <a class="el" href="vector_8c_source.html#l00498">Vector_Gcd()</a>.</p>

</div>
</div>
<a class="anchor" id="a1b15dffeaad8bde724a59adea33429a5"></a><!-- doxytag: member="ext_ehrhart.c::pgcd1" ref="a1b15dffeaad8bde724a59adea33429a5" args="(int a, int b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int pgcd1 </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>b</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00257">257</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00548">ppcm1()</a>.</p>

</div>
</div>
<a class="anchor" id="a0d5dad50628eee411cda4622dabcb6d7"></a><!-- doxytag: member="ext_ehrhart.c::Polyhedron_Image_Enumerate" ref="a0d5dad50628eee411cda4622dabcb6d7" args="(Polyhedron *D, Polyhedron *C, Matrix *T, unsigned MAXRAYS, const char **par_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__enumeration.html">Enumeration</a>* Polyhedron_Image_Enumerate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>D</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>T</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>MAXRAYS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>par_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00835">835</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02432">AddPolyToDomain()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00680">AffConstraints()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00045">CalcBase()</a>, <a class="el" href="types_8h_source.html#l00111">polyhedron::Constraint</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00138">Matrix_Print()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbConstraints</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00514">Reduce_Matrix()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00533">Scalar_product()</a>, <a class="el" href="Matop_8c_source.html#l00103">Transpose()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00522">value_decrement</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00528">value_oppose</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00549">value_pos_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00520">value_subtract</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>, <a class="el" href="vector_8c_source.html#l00154">Vector_Alloc()</a>, and <a class="el" href="vector_8c_source.html#l00179">Vector_Free()</a>.</p>

</div>
</div>
<a class="anchor" id="a71f585bdcb55169c5207f612960e74b3"></a><!-- doxytag: member="ext_ehrhart.c::ppcm1" ref="a71f585bdcb55169c5207f612960e74b3" args="(int a, int b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ppcm1 </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>b</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00548">548</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="ext__ehrhart_8c_source.html#l00257">pgcd1()</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>.</p>

</div>
</div>
<a class="anchor" id="ada49ee072a02798c5557853034894158"></a><!-- doxytag: member="ext_ehrhart.c::Reduce_Matrix" ref="ada49ee072a02798c5557853034894158" args="(Matrix *Mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Matrix</a>* Reduce_Matrix </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Mat</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00514">514</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="ae58a1dd711203df52a134ccb9ce7484d"></a><!-- doxytag: member="ext_ehrhart.c::Remove_Element" ref="ae58a1dd711203df52a134ccb9ce7484d" args="(Enumeration *en, Enumeration **re, Enumeration *prev)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Remove_Element </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td>
          <td class="paramname"> <em>en</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> **&nbsp;</td>
          <td class="paramname"> <em>re</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td>
          <td class="paramname"> <em>prev</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00622">622</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00634">Remove_RedundantDomains()</a>.</p>

</div>
</div>
<a class="anchor" id="ac56ec2d73ba6448ba16d5b51e2cc38a9"></a><!-- doxytag: member="ext_ehrhart.c::Remove_RedundantDomains" ref="ac56ec2d73ba6448ba16d5b51e2cc38a9" args="(Enumeration **Ures)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Remove_RedundantDomains </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> **&nbsp;</td>
          <td class="paramname"> <em>Ures</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00634">634</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00622">Remove_Element()</a>, and <a class="el" href="types_8h_source.html#l00206">_enumeration::ValidityDomain</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a3c8687093fe77f61c70d3d52f2867a71"></a><!-- doxytag: member="ext_ehrhart.c::Scalar_product" ref="a3c8687093fe77f61c70d3d52f2867a71" args="(Value *p1, Value *p2, unsigned length, Value *r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Scalar_product </td>
          <td>(</td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>r</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00533">533</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00516">value_addmul</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00555">Orthogonal_Base()</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a5da79efdb8a7f801aaf7b6dfa3ce0d00"></a><!-- doxytag: member="ext_ehrhart.c::Soustraire_ligne" ref="a5da79efdb8a7f801aaf7b6dfa3ce0d00" args="(Matrix *R, int l1, int l2, int piv)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Soustraire_ligne </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>l1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>l2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>piv</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00279">279</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00520">value_subtract</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00045">CalcBase()</a>.</p>

</div>
</div>
<a class="anchor" id="abda61bc491d1fb64ad027f1ece418e46"></a><!-- doxytag: member="ext_ehrhart.c::swap_line" ref="abda61bc491d1fb64ad027f1ece418e46" args="(Matrix *R, int l1, int l2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void swap_line </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>l1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>l2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00241">241</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00045">CalcBase()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
